Relation widget reference fails if filter value contains a quote

2017-03-30 12:43 PM - Regis Haubourg

Status: Closed

Priority: High

Assignee: Paul Blottiere

Category: Edit widget

Affected QGIS version:master (QGIS 3) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 24308

Description

When filter values in reference relation widget, if the filter value contains a quote, then filter fails and display no matching value.

See attached project file with dataset included and screenshots

QGIS 2.99 (2654c72) still affected.

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2017-05-01 02:14 AM - Giovanni Manghi

- Affected QGIS version changed from 2.18.3 to master (QGIS 3)

- Description updated

#3 - 2017-07-04 08:26 AM - Regis Haubourg

- Assignee changed from Matthias Kuhn to Paul Blottiere

- Status changed from Open to In Progress

PR proposed here: https://github.com/qgis/QGIS/pull/4810

#4 - 2017-07-17 03:36 PM - Matthias Kuhn

- Resolution set to fixed/implemented

- Status changed from In Progress to Closed
